# Reverse Lookup

Lookup the human readable domain name based on the public key of a domain name registry.

```typescript
import { reverseLookup, getDomainKeySync} from "@bonfida/spl-name-service";

// Public key of bonfida.sol
const { pubkey: domainKey } = getDomainKeySync('bonfida.sol')

const domainName = await reverseLookup(connection, domainKey); // bonfida
```

{% hint style="info" %}
Please note the owner's wallet public key and the public key of the domain registry differ. A reverse lookup uses the domain registry's public key as demonstrated above.&#x20;
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sns.id/dev/sns-sdk/images-and-media/reverse-lookup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
